/**
 *  ▄▄▄·  ▄▄▄· ▄▄▄· ▄▄▄▄▄ ▄ .▄ ▄· ▄▌
 * ▐█ ▀█ ▐█ ▄█▐█ ▀█ •██  ██▪▐█▐█▪██▌
 * ▄█▀▀█  ██▀·▄█▀▀█  ▐█.▪██▀▐█▐█▌▐█▪
 * ▐█ ▪▐▌▐█▪·•▐█ ▪▐▌ ▐█▌·██▌▐▀ ▐█▀·.
 *  ▀  ▀ .▀    ▀  ▀  ▀▀▀ ▀▀▀ ·  ▀ •
 *  <https://fortreeforums.xyz>
 */

!function($, window, document, _undefined)
{
    "use strict";

    XF.SiropuChatTagFix = XF.extend(XF.SiropuChat.Core,
    {
        __backup:
        {
            '_initRoomActions': '__initRoomActions'
        },

        _initRoomActions: function()
        {
            var J = this;

        $('.siropuChatRecipients').on('click', function()
        {
            var K = $(this).data('recipients').split(', ');
            J.editorSetHtml('/' + J.getCommand('whisper') + ' [' + K.join(', ') + ']&nbsp;')
        });

        $('.siropuChatTag, .siropuChatUserTag').on('click', function(K)
        {
            var L = J.editorGetText();

            /** Username icons */
            if(K.target.nextElementSibling.className.match('ap-ss-usernameIcon--fa'))
            {
                K.preventDefault();
                var M = $(this).next('i').next('a').children('span').text();

                /** They have a sparkle set */
                if(!M)
                {
                    var M = $(this).next('i').next('span').children('a').children('span').text();
                }

                /** They have a sparkle AND an inner-text animation set */
                if(!M)
                {
                    var M = $(this).next('i').next('span').children('span').children('a').children('span').text();
                }
            }

            else if(K.target.nextElementSibling.className.match('ap-ss-usernameIcon--img'))
            {
                K.preventDefault();
                var M = $(this).next('img').next('a').children('span').text();

                /** They have a sparkle set */
                if(!M)
                {
                    var M = $(this).next('img').next('span').children('a').children('span').text();
                }

                /** They have a sparkle AND an inner-text animation set */
                if(!M)
                {
                    var M = $(this).next('img').next('span').children('span').children('a').children('span').text();
                }
            }

            /** Inner-text animations and sparkles */
            else if(K.target.nextElementSibling.className.match('ap-ss-sparkleStyle')
            || K.target.nextElementSibling.className.match('ap-ss-innerTextAnimation'))
            {
                K.preventDefault();
                var M = $(this).next('span').children('a').children('span').text();
            }

            /** Default */
            else if(K.target.className.match('username'))
            {
                K.preventDefault();
                var M = $(this).text()
            }
            else
            {
                var M = $(this).next('a').text()
            }

            if (L)
            {
                J.editorInsert(' @' + M)
            }
            else
            {
                J.editorSetHtml('@' + M + ',&nbsp;')
            }
        })
     }
    });

    XF.Element.register('siropu-chat', 'XF.SiropuChatTagFix');
}
(jQuery, window, document);

