<?php

/**
 *  ▄▄▄·  ▄▄▄· ▄▄▄· ▄▄▄▄▄ ▄ .▄ ▄· ▄▌
 * ▐█ ▀█ ▐█ ▄█▐█ ▀█ •██  ██▪▐█▐█▪██▌
 * ▄█▀▀█  ██▀·▄█▀▀█  ▐█.▪██▀▐█▐█▌▐█▪
 * ▐█ ▪▐▌▐█▪·•▐█ ▪▐▌ ▐█▌·██▌▐▀ ▐█▀·.
 *  ▀  ▀ .▀    ▀  ▀  ▀▀▀ ▀▀▀ ·  ▀ •
 *  <https://fortreeforums.xyz/>
 */

namespace apathy\StyleSuite\Install;

use XF\Db\Schema\Alter;

trait upgrade1030070
{
    public function upgrade1030070Step1()
    {
        $schemaManager = $this->schemaManager();

        $schemaManager->alterTable('xf_user', function(Alter $table)
        {
            $table->changeColumn('ap_frame')->length(30);
        });

        $schemaManager->alterTable('xf_user_group', function(Alter $table)
        {
            $table->addColumn('ap_frame', 'varchar', 30)->setDefault('');
        });
    }
}
