<?php

/**
 *  ▄▄▄·  ▄▄▄· ▄▄▄· ▄▄▄▄▄ ▄ .▄ ▄· ▄▌
 * ▐█ ▀█ ▐█ ▄█▐█ ▀█ •██  ██▪▐█▐█▪██▌
 * ▄█▀▀█  ██▀·▄█▀▀█  ▐█.▪██▀▐█▐█▌▐█▪
 * ▐█ ▪▐▌▐█▪·•▐█ ▪▐▌ ▐█▌·██▌▐▀ ▐█▀·.
 *  ▀  ▀ .▀    ▀  ▀  ▀▀▀ ▀▀▀ ·  ▀ •
 *  <https://fortreeforums.xyz/>
 */

namespace apathy\StyleSuite\Install;

use XF\Db\Schema\Alter;

trait upgrade1050070
{
    public function upgrade1050070Step1()
    {
        $addons = $this->app->container('addon.cache');
        $tlGroups = array_key_exists('Truonglv/Groups', $addons);

        if($tlGroups)
        {
            $this->schemaManager()->alterTable('xf_tl_group', function(Alter $table)
            {
                $table->addColumn('ap_group_style', 'blob')->nullable()->setDefault(null);
            });
        }
    }
}
