<?php

/**
 *  ▄▄▄·  ▄▄▄· ▄▄▄· ▄▄▄▄▄ ▄ .▄ ▄· ▄▌
 * ▐█ ▀█ ▐█ ▄█▐█ ▀█ •██  ██▪▐█▐█▪██▌
 * ▄█▀▀█  ██▀·▄█▀▀█  ▐█.▪██▀▐█▐█▌▐█▪
 * ▐█ ▪▐▌▐█▪·•▐█ ▪▐▌ ▐█▌·██▌▐▀ ▐█▀·.
 *  ▀  ▀ .▀    ▀  ▀  ▀▀▀ ▀▀▀ ·  ▀ •
 *  <https://fortreeforums.xyz/>
 */

namespace apathy\StyleSuite\Install;

use XF\Db\Schema\Create;

trait upgrade2070070
{
    public function upgrade2070070Step1()
    {
        $this->schemaManager()->createTable('xf_ap_profile_block', function(Create $table)
        {
            $table->addColumn('block_id', 'int')->autoIncrement();
            $table->addColumn('user_id', 'int');
            $table->addColumn('title', 'varchar', 40);
            $table->addColumn('type', 'varchar', 20);
            $table->addColumn('fa_icon', 'varchar', 30);
            $table->addColumn('content', 'varchar', 500);
            $table->addColumn('active', 'bool')->setDefault(1);
        });
    }
}
