<?php

/**
 *  ▄▄▄·  ▄▄▄· ▄▄▄· ▄▄▄▄▄ ▄ .▄ ▄· ▄▌
 * ▐█ ▀█ ▐█ ▄█▐█ ▀█ •██  ██▪▐█▐█▪██▌
 * ▄█▀▀█  ██▀·▄█▀▀█  ▐█.▪██▀▐█▐█▌▐█▪
 * ▐█ ▪▐▌▐█▪·•▐█ ▪▐▌ ▐█▌·██▌▐▀ ▐█▀·.
 *  ▀  ▀ .▀    ▀  ▀  ▀▀▀ ▀▀▀ ·  ▀ •
 *  <https://fortreeforums.xyz/>
 */

namespace apathy\StyleSuite\XF\Repository;

class UserGroup extends XFCP_UserGroup
{
    public function getDisplayStyleCacheData()
    {
        $data = [];

        foreach($this->finder('XF:UserGroup')->fetch() AS $userGroup)
        {
            $data[$userGroup->user_group_id] = [
                'username_css' => $userGroup->username_css,
                'user_title'   => $userGroup->user_title,
                'ap_frame'     => $userGroup->ap_frame
            ];
        }

        return $data;
    }
}
