/**
 *  ▄▄▄·  ▄▄▄· ▄▄▄· ▄▄▄▄▄ ▄ .▄ ▄· ▄▌
 * ▐█ ▀█ ▐█ ▄█▐█ ▀█ •██  ██▪▐█▐█▪██▌
 * ▄█▀▀█  ██▀·▄█▀▀█  ▐█.▪██▀▐█▐█▌▐█▪
 * ▐█ ▪▐▌▐█▪·•▐█ ▪▐▌ ▐█▌·██▌▐▀ ▐█▀·.
 *  ▀  ▀ .▀    ▀  ▀  ▀▀▀ ▀▀▀ ·  ▀ •
 *  <https://fortreeforums.xyz>
 */

!function($, window, document, _undefined)
{
    "use strict";

    XF.FramePreview = XF.Element.newHandler({
        /**
         * TESTER ELEMENTS
         */
        testFrame: $('.ap-ss-avatarFrame--preview'),

        /**
         * OPTION ELEMENTS
         */
        frame:     $('#ap-ss-frame--selector'),

        init: function()
        {
            var t = this;

            this.frame.on('change', function()
            {
                var frame = $(this).find('option:selected').val();

                if((frame) == '')
                {
                    jQuery.noop();
                }
                else
                {
                    t.testFrame.attr('class', 'ap-ss-avatarFrame--preview');
                    t.testFrame.addClass(
                        'avatar avatar--l ap-ss-avatarFrame ap-ss-avatarFrame--' + frame
                    );
                }
            });
        }
    });

    XF.Element.register('frame-preview', 'XF.FramePreview');
}
(jQuery, window, document);
